Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontosim.util.matrix
Class MatrixDouble<R,C>

    java.lang.Object
      fr.inrialpes.exmo.ontosim.util.matrix.MatrixDouble<R,C>

All Implemented Interfaces:
  Matrix<R,C>

    public class MatrixDouble<R,C>

extends Object
implements Matrix<R,C>

Field Summary
`private Map<C,Integer>` | `col`
`private int` | `currentCidx`
`private int` | `cVsize`
`private Map<R,List<double[]>>` | `rowVal`

Constructor Summary
`MatrixDouble()`

Method Summary
`boolean` | `containsCdim(C c)`
`boolean` | `containsKey(R r, C c)`
`boolean` | `containsRdim(R r)`
`double` | `get(R r, C c)`
`Set<C>` | `getDimC()`
`Set<R>` | `getDimR()`
`Set<?>` | `keySet()`
`void` | `put(R r, C c, double value)`
`void` | `putAll(Matrix<R,C> m)`
`MatrixDoubleArray<R,C>` | `toArray()`
`MatrixDoubleArray<C,R>` | `toArrayT()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### col

    private Map<C,Integer> col

### rowVal

    private Map<R,List<double[]>> rowVal

### currentCidx

    private int currentCidx

### cVsize

    private int cVsize

Constructor Detail

### MatrixDouble

    public MatrixDouble()

Method Detail

### put

    public void put(R r,
                    C c,
                    double value)

  Specified by:
    `put` in interface `Matrix<R,C>`

### get

    public double get(R r,
                      C c)

  Specified by:
    `get` in interface `Matrix<R,C>`

### putAll

    public void putAll(Matrix<R,C> m)

  Specified by:
    `putAll` in interface `Matrix<R,C>`

### getDimR

    public Set<R> getDimR()

  Specified by:
    `getDimR` in interface `Matrix<R,C>`

### getDimC

    public Set<C> getDimC()

  Specified by:
    `getDimC` in interface `Matrix<R,C>`

### keySet

    public Set<?> keySet()

  Specified by:
    `keySet` in interface `Matrix<R,C>`

### containsRdim

    public boolean containsRdim(R r)

  Specified by:
    `containsRdim` in interface `Matrix<R,C>`

### containsCdim

    public boolean containsCdim(C c)

  Specified by:
    `containsCdim` in interface `Matrix<R,C>`

### containsKey

    public boolean containsKey(R r,
                               C c)

### toArrayT

    public MatrixDoubleArray<C,R> toArrayT()

  Specified by:
    `toArrayT` in interface `Matrix<R,C>`

### toArray

    public MatrixDoubleArray<R,C> toArray()

  Specified by:
    `toArray` in interface `Matrix<R,C>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2008-2009